Subject: Re: bug#39545: 26.3; C-S-a gets translated to C-a in message-mode

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 10 Feb 2020 10:36:02 -0800

kuba.orlik--- via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> 1. M-x message-mode
> 2. Enter some text
> 3. Press C-S-a
>
> The point moves to the beggining of the line, but doesn't select the
> text along the way, as C-S-a usually does

C-S-a doesn't "usually" do that -- maybe it's a part of `cua-mode', and
that's not getting enabled in `message-mode'? That's a guess, but if
it's a correct guess, you should be able to figure out why `cua-mode'
isn't enabled in message composition buffers.